Class Fox::FXGLContext

In: | FXGLContext.rb
Parent: | FXId

A GL context is an object representing the OpenGL state information. Multiple GL context may share display lists to conserve memory. When drawing multiple windows, it may be advantageous to share not only display lists, but also GL contexts. Since the GL context is created for a certain frame-buffer configuration, sharing of GL contexts is only possible if the windows sharing the GL context all have the same GL visual. However, display lists may be shared between different GL contexts.

Methods

begin end new new shared? swapBuffers swapSubBuffers

Attributes

visual | [R] | The visual [FXGLVisual]

Public Class methods

new(anApp, aVisual) {|theGLContext| ...}

Construct an OpenGL context with its own private display list.

new(anApp, aVisual, aContext) {|theGLContext| ...}

Construct an OpenGL context sharing display lists with an existing GL context.

Public Instance methods

shared?()

Return `true` if it is sharing display lists.

begin(drawable)

Make this OpenGL context current prior to performing OpenGL commands.

end()

Make this OpenGL context non-current.

swapBuffers()

Swap front and back buffer

swapSubBuffers(x, y, w, h)

Copy part of backbuffer to front buffer [Mesa]